package cc.fascinated.backend.controller;

import cc.fascinated.backend.model.account.Account;
import cc.fascinated.backend.service.AccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping(value = "/")
public class AccountController {

    private final AccountService accountService;

    @Autowired
    public AccountController(AccountService accountService) {
        this.accountService = accountService;
    }

    @GetMapping(value = "/")
    public ResponseEntity<?> home() {
        return ResponseEntity.ok(Map.of(
                "status", "OK"
        ));
    }

    @GetMapping(value = "/account/{id}")
    public ResponseEntity<?> getAccount(@PathVariable String id) {
        Account account = accountService.getAccount(id);
        return ResponseEntity.ok(account);
    }
}
